%define major      1
%define libname    %mklibname digikam %major
%define libnamedev %mklibname digikam -d
%define oldlibnamedev %mklibname digikam %major -d

Name: digikam
Version: 0.10.0
%define subrel 3
Release: %mkrel 2
License: GPLv2+
Url: http://www.digikam.org
Group: Graphics
Source0: %{name}-%{version}.tar.bz2
Source2: showfoto.desktop
Summary: A KDE photo management utility
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: kdelibs4-devel
BuildRequires: kdepimlibs4-devel
BuildRequires: kdegraphics4-devel >= 2:4.1.3-1.2
BuildRequires: kdeedu4-devel
BuildRequires: sqlite3-devel
BuildRequires: libjasper-devel
BuildRequires: libgphoto-devel 
BuildRequires: libtiff-devel
BuildRequires: lcms-devel
BuildRequires: lensfun-devel
Requires: kdebase4-runtime
Requires: marble
Requires: qt4-database-plugin-sqlite

%description
DigiKam is an advanced digital photo management application for KDE.
Photos can be collected into albums which can be sorted chronologically,
by directory layout or by custom collections.
DigiKam also provides tagging functionality. Images can be tagged despite of
their position and digiKam provides fast and intuitive ways to browse them.
User comments and customized meta-information added to images, are stored
into a database and retrieved to make them available into the user interface.
As soon as the camera is plugged in digikam allows you to preview, download,
upload and delete images.
Digikam also includes tools like Image Editor, to modify photos using plugins
such as red eye correction or Gamma correction, exif management,...
Light Table to make artistic photos and an external image editor such
as Showfoto.
Digikam also uses KIPI plugins (KDE Image Plugin Interface) to increase
its functionalities.


%if %mdkversion < 200900
%post
%{update_desktop_database}
%update_icon_cache hicolor

%postun
%{clean_desktop_database}
%clean_icon_cache hicolor
%endif

%files -f %name.lang
%defattr(-,root,root)
%_kde_bindir/digikam
%_kde_bindir/digikamthemedesigner
%_kde_bindir/digitaglinktree
%_kde_bindir/showfoto
%_kde_libdir/kde4/*.so
%_kde_appsdir/digikam
%_kde_datadir/kde4/services/*
%_kde_datadir/kde4/servicetypes/digikamimageplugin.desktop
%_kde_mandir/*
%_kde_datadir/applications/kde4/digikam.desktop
%_kde_datadir/applications/kde4/showfoto.desktop
%_kde_appsdir/showfoto
%_kde_appsdir/solid/actions/digikam-opencamera.desktop                                            

#---------------------------------------------

%define libdigikamdatabase %mklibname digikamdatabase 1

%package -n %libdigikamdatabase
Summary: KDE 4 library
Group: System/Libraries

%description -n %libdigikamdatabase
Librairie File needed by %name

%if %mdkversion < 200900
%post -n %libdigikamdatabase -p /sbin/ldconfig

%postun -n %libdigikamdatabase -p /sbin/ldconfig
%endif

%files -n %libdigikamdatabase
%defattr(-,root,root)
%_kde_libdir/libdigikamdatabase.so.*

#---------------------------------------------

%define libdigikamcore %mklibname digikamcore 1

%package -n %libdigikamcore
Summary: KDE 4 library
Group: System/Libraries
Obsoletes: %{_lib}digikam1 < 0.10.0-1.beta6.3

%description -n %libdigikamcore
Librairie File needed by %name

%if %mdkversion < 200900
%post -n %libdigikamcore -p /sbin/ldconfig

%postun -n %libdigikamcore -p /sbin/ldconfig
%endif

%files -n %libdigikamcore
%defattr(-,root,root)
%_kde_libdir/libdigikamcore.so.*

#---------------------------------------------

%package        -n     %{libnamedev}
Summary:        Static libraries and headers for %{name}
Group:          Development/C
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %{oldlibnamedev} <  0.10.0-0.753592.2
Requires:       %libdigikamcore = %version-%release
Requires:       %libdigikamdatabase = %version-%release

%description  -n     %{libnamedev}
%{libnamedev} contains the libraries and header files needed to
develop programs which make use of %{name}.
The library documentation is available on header files.

%files -n     %{libnamedev}
%defattr(0644, root, root, 0755)
%dir %_kde_includedir/digikam
%_kde_includedir/digikam/*.h
%_kde_includedir/digikam_export.h
%_kde_libdir/libdigikamcore.so
%_kde_libdir/libdigikamdatabase.so

#------------------------------------------------

%prep
%setup -q -n %{name}-%{version}

%build
# (cg) Work around GCC 4.3.1 bug:
# http://gcc.gnu.org/bugzilla/show_bug.cgi?id=36439
# Can be removed once this is fixed.
export CXXFLAGS="%optflags -fno-tree-pre"
%cmake_kde4 
%make

%install
rm -rf %buildroot
%{makeinstall_std} -C build 

%find_lang %{name}

# Translation the modified desktop file
cp -f %SOURCE2  %buildroot/%_kde_datadir/applications/kde4/

%clean
rm -rf %buildroot




%changelog
* Sat Jul 04 2009 Oden Eriksson <oeriksson@mandriva.com> 0.10.0-2.3mdv2009.0
- build for updates

* Thu Jun 25 2009 Angelo Naselli <anaselli@mandriva.org> 0.10.0-2.2mdv2009.0
+ Revision: 389250
- Rebuilt to fix bug #51861 - digikam crashes at starting

* Tue Jun 23 2009 Security Team <security@mandriva.com> 0.10.0-2mdv2009.0
+ Revision: 388150
- + Revision: 356435
  Fix file list
  Update to 0.10.0 final
  Update to Rc2
  Update to Rc1
  Update to digikam beta8
  Update to beta7
  Versionnate Buildrequires
  Update to Digikam 0.10.0 beta6
  + Angelo Naselli <anaselli@mandriva.org>
    - new version 0.10.0-beta5

  + Helio Chissini de Castro <helio@mandriva.com>
    - Major KDE 4.2.3 update

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix file list
    - Update to 0.10.0 final
    - Update to Rc2
    - Update to Rc1
    - Update to digikam beta8
    - Update to beta7
    - Versionnate Buildrequires
    - Update to Digikam 0.10.0 beta6

  + Angelo Naselli <anaselli@mandriva.org>
    - new version 0.10.0-beta5

  + root <root>
    - Branching 2009.0 release for updates.

* Mon Sep 29 2008 Helio Chissini de Castro <helio@mandriva.com> 0.10.0-1.beta3.2mdv2009.0
+ Revision: 289701
- Updated desktop file as requested by translation team

* Thu Sep 11 2008 Angelo Naselli <anaselli@mandriva.org> 0.10.0-1.beta3.1mdv2009.0
+ Revision: 283824
- new version 0.10.0 beta3

* Mon Aug 04 2008 Angelo Naselli <anaselli@mandriva.org> 0.10.0-1.beta2.1mdv2009.0
+ Revision: 263076
- new version 0.10.0 beta2

* Mon Jul 28 2008 Nicolas Lécureuil <neoclust@mandriva.org> 0.10.0-0.838532.1mdv2009.0
+ Revision: 251744
- New shapshot

* Tue Jun 24 2008 Helio Chissini de Castro <helio@mandriva.com> 0.10.0-0.824037.2mdv2009.0
+ Revision: 228792
- Update from svn
- Added requries for new liblens
- Up to date digikam form svn

  + Colin Guthrie <cguthrie@mandriva.org>
    - Update snapshot
    - Update BuildRequires now that kdcraw, kipi and kexiv2 are part of kdegraphics4
    - Fix the Require on qt4-sqlite plugin (update needed in qt4 to fix properly)
    - Tidy up %%post/%%postun scripts
    - Work around GCC 4.3.1 bug

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix Requires ( Reported on cooker Mailing List)

* Tue May 20 2008 Nicolas Lécureuil <neoclust@mandriva.org> 0.10.0-0.809821.4mdv2009.0
+ Revision: 209317
- Fix conflicts against oxygen-icon-theme

* Mon May 19 2008 Nicolas Lécureuil <neoclust@mandriva.org> 0.10.0-0.809821.3mdv2009.0
+ Revision: 209188
- Add kdeedu4-devel as BuildRequire

* Mon May 19 2008 Nicolas Lécureuil <neoclust@mandriva.org> 0.10.0-0.809821.2mdv2009.0
+ Revision: 209170
- Fix tarball
- Fix FileList
- New snapshot
- Fix spec file with new name
- Use kde4 apps by default
- Fix BuildRequires

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix spacing at top of description

* Fri Dec 28 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.10.0-0.753592.1mdv2008.1
+ Revision: 138817
- Add buildrequire (liblcms-devel)
- Fix pkgconfig dir
- import kde4-digikam


* Mon Apr 02 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.9.1-6mdv2007.1
+ Revision: 150186
- Add a real group :/

* Sat Mar 31 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.9.1-5mdv2007.1
+ Revision: 149979
- Add doc sub-package (asked by  Angelo)

* Thu Mar 15 2007 Olivier Blin <oblin@mandriva.com> 0.9.1-4mdv2007.1
+ Revision: 144495
- drop INSTALL file
- move 1MB ChangeLog in devel package

* Thu Mar 08 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.9.1-3mdv2007.1
+ Revision: 138538
- Fix UTF-8 issues

* Mon Mar 05 2007 Angelo Naselli <anaselli@mandriva.org> 0.9.1-1mdv2007.1
+ Revision: 132920
- 0.9.1 final
- rebuilt for new libexiv2

* Fri Mar 02 2007 Angelo Naselli <anaselli@mandriva.org> 0.9.1-0.rc2.2mdv2007.1
+ Revision: 131107
- fix bug #28152

* Wed Feb 28 2007 Angelo Naselli <anaselli@mandriva.org> 0.9.1-0.rc2.1mdv2007.1
+ Revision: 127049
- new version 0.9.1-rc2

* Tue Feb 20 2007 Angelo Naselli <anaselli@mandriva.org> 0.9.1-0.rc1.1mdv2007.1
+ Revision: 123164
- new 0.9.1-rc1

* Thu Feb 15 2007 Angelo Naselli <anaselli@mandriva.org> 0.9.1-0.beta1.2mdv2007.1
+ Revision: 121439
- rebuilt
- Provides name and version for devel package
- new version 0.9.1-beta1a
- removed useless dependency

* Mon Dec 18 2006 Angelo Naselli <anaselli@mandriva.org> 0.9.0-1mdv2007.1
+ Revision: 98901
- New version 0.9.0

* Sun Dec 10 2006 Angelo Naselli <anaselli@mandriva.org> 0.9.0-0.rc2.2mdv2007.1
+ Revision: 94539
- forgot to changing release version
- fix BKO bug 138620: Saving a picture can overwrite another one

* Thu Dec 07 2006 Angelo Naselli <anaselli@mandriva.org> 0.9.0-0.rc2.1mdv2007.1
+ Revision: 92064
- New version 0.9.0-rc2

* Mon Dec 04 2006 Angelo Naselli <anaselli@mandriva.org> 0.9.0-0.rc1.2mdv2007.1
+ Revision: 90469
- removed libkexif dependency and rebuilt for new libexiv

* Thu Nov 23 2006 Laurent Montel <lmontel@mandriva.com> 0.9.0-0.rc1.1mdv2007.1
+ Revision: 86552
- 0.9.0-rc1
  (a day I will submit this package when rebuild-bot will work...)

* Sun Oct 22 2006 Laurent Montel <lmontel@mandriva.com> 0.9.0-0.beta3.1mdv2007.1
+ Revision: 71656
- 0.9.0-beta3

* Wed Aug 16 2006 Helio Chissini de Castro <helio@mandriva.com> 0.8.2-6mdv2007.0
+ Revision: 56175
- Recompile against new gphoto2

* Tue Aug 08 2006 Helio Chissini de Castro <helio@mandriva.com> 0.8.2-5mdv2007.0
+ Revision: 53913
- Trying to do it right:
- Readd to subversion.
- Cleanup spec
- Added proper configure
- Removed invalid patches
- move kioslaves for proper package
- import digikam-0.8.2-2mdv2007.0

* Thu Jul 20 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-07-19 14:37:23 (41618)
- Fix release number

* Thu Jul 20 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-07-19 11:47:36 (41600)
- fix generate desktop file

* Thu Jul 20 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-07-19 11:25:13 (41596)
- Fix typo

* Thu Jul 20 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-07-19 11:15:40 (41594)
- 0.8.2

* Sat Jul 01 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-06-30 16:41:39 (38257)
- rebuild against latest libgphoto

* Sat Jul 01 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-06-30 10:45:50 (38215)
- import digikam-0.8.2-0.rc1.2mdv2007.0

* Thu Jun 08 2006 Laurent MONTEL <lmontel@mandriva.com> 0.8.2-0.rc1.2
- Fix requires

* Mon May 15 2006 Laurent MONTEL <lmontel@mandriva.com> 0.8.2-0.rc1.1
- 0.8.2-rc1

* Wed May 10 2006 Laurent MONTEL <lmontel@mandriva.com> 0.8.1-4
- Rebuild to generate new category

* Sun Apr 23 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.1-3mdk
- Add Requires (#22104)

* Tue Feb 28 2006 Laurent MONTEL <lmontel@mandriva.com> 0.8.1-2
- Fix conflict when we compile with kdelibs-3.5.1

* Mon Jan 16 2006 Laurent MONTEL <lmontel@mandriva.com> 0.8.1-1
- 0.8.1

* Wed Jan 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.8.0-5mdk
- rebuilt due to package loss

* Sun Jan 08 2006 Angelo Naselli <anaselli@mandriva.org> 0.8.0-4mdk
- Rebuild

* Thu Dec 15 2005 Till Kamppeter <till@mandriva.com> 0.8.0-3mdk
- Printing out of the image editor required unreasonably much memory,
  so that it took either more than half an hour per picture or the
  CUPS filtering process crashed. Fixed with patch from
  http://mail.kde.org/pipermail/digikam-devel/2005-December/002495.html
  (patch 6).

* Tue Dec 06 2005 Laurent MONTEL <lmontel@mandriva.com> 0.8.0-2 
- Why buildrequires on kdesdk ?

* Sun Nov 27 2005 Laurent MONTEL <lmontel@mandriva.com> 0.8.0-1 
- 0.8.0

* Tue Nov 22 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.8.0-rc1.3mdk
- add BuildRequires: sqlite3-devel

* Tue Nov 15 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.0-rc1.2mdk
- Rebuild

* Sun Nov 13 2005 Laurent MONTEL <lmontel@mandriva.com> 0.8.0-rc1.1
- Rc1

* Sat Nov 05 2005 Laurent MONTEL <lmontel@mandriva.com> 0.8.0-beta2.2
- Fix spec file

* Tue Oct 18 2005 Laurent MONTEL <lmontel@mandriva.com> 0.8.0-beta2.1
- 0.8.0-beta2

* Wed Aug 17 2005 Till Kamppeter <till@mandriva.com> 0.7.3-2mdk
- Mase digiKam the default application being launched when clicking
  a digital camera desktop icon (if digiKam is not installed, flphoto
  will be started instead).

* Tue Jul 12 2005 Laurent MONTEL <lmontel@mandriva.com> 0.7.3-1
- 0.7.3

* Sat Jun 18 2005 Laurent MONTEL <lmontel@mandriva.com> 0.7.3-0.beta2. 3
- Real use beta2 package

* Sat May 07 2005 Laurent MONTEL <lmontel@mandriva.com> 0.7.3-0.beta2. 2
- Rebuild

* Thu May 05 2005 Laurent MONTEL <lmontel@mandriva.com> 0.7.3-0.beta2.1mdk
- beta2

* Wed May 04 2005 Laurent MONTEL <lmontel@mandriva.com> 0.7.3-0.beta1. 3
- Fix Requires

* Wed Apr 20 2005 Laurent MONTEL <lmontel@mandriva.com> 0.7.3-0.beta1. 2
- Reapply patch1 (rediff from neoclust)

* Mon Apr 18 2005 Laurent MONTEL <lmontel@mandriva.com> 0.7.3-0.beta1.1mdk
- 0.7.3-beta1

* Fri Apr 01 2005 Till Kamppeter <till@mandrakesoft.com> 0.7.2-2mdk
- Added "Requires: libgphoto-hotplug" (bug 15135).

* Thu Mar 03 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.2-1mdk
- 0.7.2

* Tue Mar 01 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.2-0.beta1.3mdk
- Fix icon in showFoto

* Mon Feb 14 2005 Angelo Naselli <anaselli@mandrake.org> 0.7.2-0.beta1.2mdk
- added conflicts with old digikam-plugins (Frederik Himpe)
- DistroSpecificReleaseTag suppor

* Tue Feb 08 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.2-0.beta1.1mdk
- 0.7.2-beta1

* Tue Jan 04 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.1-1mdk
- 0.7.1

* Tue Dec 28 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.7.1-0.beta2.4mdk
- add BuildRequires: libgdbm-devel

* Sat Dec 25 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.7.1-0.beta2.3mdk
- use automake1.8
- wipe out buildroot in %%install  , not %%prep 
[           1      -eq 1 ] || exit 0 
[           1      -eq 1 ] || exit 0 
[           1      -eq 1 ] || exit 0

* Tue Dec 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.1-0.beta2.2mdk
- Rebuild with new libkexif

* Tue Dec 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.1-0.beta2.1mdk
- 0.7.2-beta2

* Fri Dec 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.1-0.beta1.2mdk
- Fix menu

* Fri Dec 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.1-0.beta1.1mdk
- 0.7.1-beta1

* Mon Dec 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7-2mdk
- Fix menu

* Tue Nov 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7-1mdk
- 0.7

* Tue Nov 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7-0.rc1.2mdk
- Reapply Gb fixe (sorry :( )

* Wed Nov 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7-0.rc1.1mdk
- 0.7

* Wed Aug 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.2-3mdk
- Translate phto directory

* Fri Aug 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.2-2mdk
- Add patch1: fix default photo directory

* Sat Jun 19 2004 Laurent Culioli <laurent@mandrake.org> 0.6.2-1mdk
- 0.6.2
- add menu icons

* Tue Jun 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.2-0.rc1.3mdk
- Rebuilld

* Wed Jun 02 2004 Marcel Pol <mpol@mandrake.org> 0.6.2-0.rc1.2mdk
- buildrequires (slbd)
- drop WANT_AUTOCONF_2_5

* Wed May 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.2-0.rc1.1mdk
- 0.6.2-rc1

* Fri May 07 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-1mdk
- 0.6.1

